Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatStatisticsChannel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatStatistics
it.tdlight.jni.TdApi.ChatStatisticsChannel

Enclosing class:
  TdApi

public static final class TdApi.ChatStatisticsChannel extends TdApi.ChatStatistics
A detailed statistics about a channel chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`double`
`enabledNotificationsPercentage`
A percentage of users with enabled notifications for the chat; 0-100.
`TdApi.StatisticalGraph`
`instantViewInteractionGraph`
A graph containing number of views of associated with the chat instant views.
`TdApi.StatisticalGraph`
`joinBySourceGraph`
A graph containing number of new member joins per source.
`TdApi.StatisticalGraph`
`joinGraph`
A graph containing number of members joined and left the chat.
`TdApi.StatisticalGraph`
`languageGraph`
A graph containing number of users viewed chat messages per language.
`TdApi.StatisticalValue`
`meanMessageReactionCount`
Mean number of times reactions were added to the recently sent messages.
`TdApi.StatisticalValue`
`meanMessageShareCount`
Mean number of times the recently sent messages were shared.
`TdApi.StatisticalValue`
`meanMessageViewCount`
Mean number of times the recently sent messages were viewed.
`TdApi.StatisticalValue`
`meanStoryReactionCount`
Mean number of times reactions were added to the recently sent stories.
`TdApi.StatisticalValue`
`meanStoryShareCount`
Mean number of times the recently sent stories were shared.
`TdApi.StatisticalValue`
`meanStoryViewCount`
Mean number of times the recently sent stories were viewed.
`TdApi.StatisticalValue`
`memberCount`
Number of members in the chat.
`TdApi.StatisticalGraph`
`memberCountGraph`
A graph containing number of members in the chat.
`TdApi.StatisticalGraph`
`messageInteractionGraph`
A graph containing number of chat message views and shares.
`TdApi.StatisticalGraph`
`messageReactionGraph`
A graph containing number of reactions on messages.
`TdApi.StatisticalGraph`
`muteGraph`
A graph containing number of members muted and unmuted the chat.
`TdApi.DateRange`
`period`
A period to which the statistics applies.
`TdApi.ChatStatisticsInteractionInfo[]`
`recentInteractions`
Detailed statistics about number of views and shares of recently sent messages and stories.
`TdApi.StatisticalGraph`
`storyInteractionGraph`
A graph containing number of story views and shares.
`TdApi.StatisticalGraph`
`storyReactionGraph`
A graph containing number of reactions on stories.
`TdApi.StatisticalGraph`
`viewCountByHourGraph`
A graph containing number of message views in a given hour in the last two weeks.
`TdApi.StatisticalGraph`
`viewCountBySourceGraph`
A graph containing number of message views per source.

## Constructor Summary

Constructors
Constructor
Description
`ChatStatisticsChannel()`
A detailed statistics about a channel chat.
`ChatStatisticsChannel(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanMessageViewCount, TdApi.StatisticalValue meanMessageShareCount, TdApi.StatisticalValue meanMessageReactionCount, TdApi.StatisticalValue meanStoryViewCount, TdApi.StatisticalValue meanStoryShareCount, TdApi.StatisticalValue meanStoryReactionCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph messageReactionGraph, TdApi.StatisticalGraph storyInteractionGraph, TdApi.StatisticalGraph storyReactionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsInteractionInfo[] recentInteractions)`
A detailed statistics about a channel chat.
`ChatStatisticsChannel(DataInput input)`
A detailed statistics about a channel chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### period

public TdApi.DateRange period
A period to which the statistics applies.

### memberCount

public TdApi.StatisticalValue memberCount
Number of members in the chat.

### meanMessageViewCount

public TdApi.StatisticalValue meanMessageViewCount
Mean number of times the recently sent messages were viewed.

### meanMessageShareCount

public TdApi.StatisticalValue meanMessageShareCount
Mean number of times the recently sent messages were shared.

### meanMessageReactionCount

public TdApi.StatisticalValue meanMessageReactionCount
Mean number of times reactions were added to the recently sent messages.

### meanStoryViewCount

public TdApi.StatisticalValue meanStoryViewCount
Mean number of times the recently sent stories were viewed.

### meanStoryShareCount

public TdApi.StatisticalValue meanStoryShareCount
Mean number of times the recently sent stories were shared.

### meanStoryReactionCount

public TdApi.StatisticalValue meanStoryReactionCount
Mean number of times reactions were added to the recently sent stories.

### enabledNotificationsPercentage

public double enabledNotificationsPercentage
A percentage of users with enabled notifications for the chat; 0-100.

### memberCountGraph

public TdApi.StatisticalGraph memberCountGraph
A graph containing number of members in the chat.

### joinGraph

public TdApi.StatisticalGraph joinGraph
A graph containing number of members joined and left the chat.

### muteGraph

public TdApi.StatisticalGraph muteGraph
A graph containing number of members muted and unmuted the chat.

### viewCountByHourGraph

public TdApi.StatisticalGraph viewCountByHourGraph
A graph containing number of message views in a given hour in the last two weeks.

### viewCountBySourceGraph

public TdApi.StatisticalGraph viewCountBySourceGraph
A graph containing number of message views per source.

### joinBySourceGraph

public TdApi.StatisticalGraph joinBySourceGraph
A graph containing number of new member joins per source.

### languageGraph

public TdApi.StatisticalGraph languageGraph
A graph containing number of users viewed chat messages per language.

### messageInteractionGraph

public TdApi.StatisticalGraph messageInteractionGraph
A graph containing number of chat message views and shares.

### messageReactionGraph

public TdApi.StatisticalGraph messageReactionGraph
A graph containing number of reactions on messages.

### storyInteractionGraph

public TdApi.StatisticalGraph storyInteractionGraph
A graph containing number of story views and shares.

### storyReactionGraph

public TdApi.StatisticalGraph storyReactionGraph
A graph containing number of reactions on stories.

### instantViewInteractionGraph

public TdApi.StatisticalGraph instantViewInteractionGraph
A graph containing number of views of associated with the chat instant views.

### recentInteractions

public TdApi.ChatStatisticsInteractionInfo[] recentInteractions
Detailed statistics about number of views and shares of recently sent messages and stories.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatStatisticsChannel

public ChatStatisticsChannel()
A detailed statistics about a channel chat.

### ChatStatisticsChannel

public ChatStatisticsChannel(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanMessageViewCount, TdApi.StatisticalValue meanMessageShareCount, TdApi.StatisticalValue meanMessageReactionCount, TdApi.StatisticalValue meanStoryViewCount, TdApi.StatisticalValue meanStoryShareCount, TdApi.StatisticalValue meanStoryReactionCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph messageReactionGraph, TdApi.StatisticalGraph storyInteractionGraph, TdApi.StatisticalGraph storyReactionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsInteractionInfo[] recentInteractions)
A detailed statistics about a channel chat.

Parameters:
  `period` - A period to which the statistics applies.
  `memberCount` - Number of members in the chat.
  `meanMessageViewCount` - Mean number of times the recently sent messages were viewed.
  `meanMessageShareCount` - Mean number of times the recently sent messages were shared.
  `meanMessageReactionCount` - Mean number of times reactions were added to the recently sent messages.
  `meanStoryViewCount` - Mean number of times the recently sent stories were viewed.
  `meanStoryShareCount` - Mean number of times the recently sent stories were shared.
  `meanStoryReactionCount` - Mean number of times reactions were added to the recently sent stories.
  `enabledNotificationsPercentage` - A percentage of users with enabled notifications for the chat; 0-100.
  `memberCountGraph` - A graph containing number of members in the chat.
  `joinGraph` - A graph containing number of members joined and left the chat.
  `muteGraph` - A graph containing number of members muted and unmuted the chat.
  `viewCountByHourGraph` - A graph containing number of message views in a given hour in the last two weeks.
  `viewCountBySourceGraph` - A graph containing number of message views per source.
  `joinBySourceGraph` - A graph containing number of new member joins per source.
  `languageGraph` - A graph containing number of users viewed chat messages per language.
  `messageInteractionGraph` - A graph containing number of chat message views and shares.
  `messageReactionGraph` - A graph containing number of reactions on messages.
  `storyInteractionGraph` - A graph containing number of story views and shares.
  `storyReactionGraph` - A graph containing number of reactions on stories.
  `instantViewInteractionGraph` - A graph containing number of views of associated with the chat instant views.
  `recentInteractions` - Detailed statistics about number of views and shares of recently sent messages and stories.

### ChatStatisticsChannel

public ChatStatisticsChannel(DataInput input) throws IOException
A detailed statistics about a channel chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`